<?php
/**
 * Created by PhpStorm.
 * User: sale
 * Date: 26.10.17.
 * Time: 12.53
 */

//namespace Intellex\AutoPopulate\Generator;
namespace Intellex\Generator\Basic;

use Intellex\Generator\Core\GeneratorInterface;
class NumericGenerator implements GeneratorInterface {

	private $min;

	private $max;

	public function __construct($min = 1, $max = 100) {
		$this->min = $min;
		$this->max = $max;
	}

	/**
	 * Generate a value for a column.
	 *
	 * @return mixed The generated value.
	 */
	public function generateValue() {
		return rand($this->min, $this->max);
	}
}